"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Gets a nested property value from an object, propagating any null or undefined values.
 * @param object object to inspect
 * @param keys nested property names
 */
exports.getProp = function (object) {
    var keys = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        keys[_i - 1] = arguments[_i];
    }
    var index = 0;
    while (object != null && index < keys.length) {
        // tslint:disable-next-line
        object = object[keys[index++]];
    }
    return index && index === keys.length ? object : undefined;
};
